%define		srcname	ll-plugins
#
Summary:	LL - a set of LV2 audio plugins
Summary(pl.UTF-8):	LL - zestaw wtyczek dźwiękowych LV2
Name:		lv2-%{srcname}
Version:	0.2.33
Release:	4
License:	GPL v3+
Group:		Applications/Sound
Source0:	http://download.savannah.nongnu.org/releases/ll-plugins/%{srcname}-%{version}.tar.bz2
# Source0-md5:	a09a658c665176049bee9dc694f01cd2
URL:		http://ll-plugins.nongnu.org/
BuildRequires:	alsa-lib-devel
BuildRequires:	bash >= 3.0
BuildRequires:	boost-devel
BuildRequires:	cairomm-devel >= 1.2.4
BuildRequires:	gtkmm-devel >= 2.8.8
BuildRequires:	jack-audio-connection-kit-devel >= 0.109.0
BuildRequires:	lash-devel >= 0.5.1
BuildRequires:	libsamplerate-devel >= 0.1.2
BuildRequires:	libsndfile-devel >= 1.0.18
BuildRequires:	lv2-c++-tools-devel >= 1.0.0
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires:	cairomm >= 1.2.4
Requires:	gtkmm >= 2.8.8
Requires:	libsamplerate >= 0.1.2
Requires:	libsndfile >= 1.0.18
Requires:	lv2 >= 1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LL is a set of LV2 audio plugins (see <http://ll-plugins.nongnu.org/>
for more details).

%description -l pl.UTF-8
LL to zestaw wtyczek dźwiękowych LV2 (więcej informacji pod adresem
<http://ll-plugins.nongnu.org/>).

%package -n elven
Summary:	Experimental LV2 Execution ENvironment
Summary(pl.UTF-8):	Eksperymentalne środowisko uruchomieniowe LV2
Group:		Applications/Sound
Requires:	cairomm >= 1.2.4
Requires:	gtkmm >= 2.8.8
Requires:	lash-libs >= 0.5.1
Requires:	lv2 >= 1

%description -n elven
Elven is Experimental LV2 Execution ENvironment.

%description -n elven -l pl.UTF-8
Elven jest eksperymentalnym środowiskiem uruchomieniowym LV2
(Experimental LV2 Execution ENvironment).

%prep
%setup -q -n %{srcname}-%{version}

%{__sed} -i -e 's,/lib/,/%{_lib}/,' programs/elven/lv2host.cpp

%build
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--CXX="%{__cxx}" \
	--CFLAGS="%{rpmcppflags} %{rpmcxxflags}" \
	--LDFLAGS="%{rpmcxxflags} %{rpmldflags}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%dir %{_libdir}/lv2/*.lv2
%{_libdir}/lv2/*.lv2/*.flac
%{_libdir}/lv2/*.lv2/*.png
%{_libdir}/lv2/*.lv2/*.svg
%{_libdir}/lv2/*.lv2/*.ttl
%attr(755,root,root) %{_libdir}/lv2/*.lv2/*.so

%files -n elven
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/elven
%changelog
* Wed Aug 28 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lv2-ll-plugins.git;a=log;h=master

* Wed Aug 28 2024 Jakub Bogusz <qboosh@pld-linux.org> 677f8d9
- updated one more lv2 core dependency; release 4

* Tue Aug 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 8362fae
- fixed missed macro rename; release 3

* Tue Aug 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 31ba990
- updated lv2 core dependency; release 2

* Wed Jul 24 2024 Jakub Bogusz <qboosh@pld-linux.org> bef241e
- updated to 0.2.33

* Wed Dec 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 05e0372
- updated to 0.2.8

* Wed Jan 20 2010 Krzysztof Mościcki <stivi@kity.pl> 01d9959
- md5sum fix

* Wed Jan 20 2010 Krzysztof Mościcki <stivi@kity.pl> 17cf197
- initial

